## Altitude-Azimuth Plot
pause mouse key "Press any key to proceed to other plot(s) (will terminate zooming)\n"
print 'Azimuthal sky plot'
set term x11 2  title "Solar System 2D Azimuth-Altitude Chart" size xpix2,ypix2
set size 1,1
#set size ratio -1
set origin 0,0
unset for [i=1:10] label i
unset arrow
pscal=3.; ppwr=0.2
load 'psizes.gp'
r2a=r2d
set angles degrees# ; r2a=1.
load 'anglefuncs_deg.gp'
set label 5 sprintf("Local = %04d-%02d-%02d %02d:%02d:%02d\n  UTC = %04d-%02d-%02d %02d:%02d:%02d\n Lat. =%3d%c %02d%c %02d%c\n Lon. =%3d%c %02d%c %02d%c",\
    loc_yr,loc_mo,loc_dd,loc_hh,loc_mm,loc_ss,utc_yr,utc_mo,utc_dd,utc_hh,utc_mm,utc_ss,latdeg,176,latmin,39,latsec,34,londeg,176,lonmin,39,lonsec,34)\
    at screen 0.02, screen 0.95
## Sun direction
thnpole=fcth(e3x,e3y,e3z)
phnpole=fcph(e3x,e3y,e3z)
set print 'npole.dat'
print phnpole,thnpole
set print
##
set xlabel "azimuth / deg"; set ylabel "altitude / deg"
set xrange [0:360];set yrange [-90:90]
set border
set xtics 30;set ytics 30;set mxtics 3; set mytics 3
set grid xtics ytics mxtics mytics ls 10, ls 12
set xzeroaxis lt -1
plot pointfile using (fcph($2-column(cx), $3-column(cy), $4-column(cz))) :(fcth($2-column(cx), $3-column(cy), $4-column(cz)))  t 'Mercury' w p pt 7 ps psmerc  lc rgb rgbmerc ,\
     pointfile using (fcph($5-column(cx), $6-column(cy), $7-column(cz))) :(fcth($5-column(cx), $6-column(cy), $7-column(cz)))  t 'Venus'   w p pt 7 ps psvenus lc rgb rgbvenus,\
     pointfile using (fcph($8-column(cx), $9-column(cy), $10-column(cz))):(fcth($8-column(cx), $9-column(cy), $10-column(cz))) t 'Earth'   w p pt 7 ps psearth lc rgb rgbearth,\
     pointfile using (fcph($11-column(cx),$12-column(cy),$13-column(cz))):(fcth($11-column(cx),$12-column(cy),$13-column(cz))) t 'Moon'    w p pt 7 ps psmoon  lc rgb rgbmoon ,\
     pointfile using (fcph($14-column(cx),$15-column(cy),$16-column(cz))):(fcth($14-column(cx),$15-column(cy),$16-column(cz))) t 'Mars'    w p pt 7 ps psmars  lc rgb rgbmars ,\
     pointfile using (fcph($17-column(cx),$18-column(cy),$19-column(cz))):(fcth($17-column(cx),$18-column(cy),$19-column(cz))) t 'Vesta'   w p pt 7 ps psvesta lc rgb rgbvesta,\
     pointfile using (fcph($20-column(cx),$21-column(cy),$22-column(cz))):(fcth($20-column(cx),$21-column(cy),$22-column(cz))) t 'Ceres'   w p pt 7 ps psceres lc rgb rgbceres,\
     pointfile using (fcph($23-column(cx),$24-column(cy),$25-column(cz))):(fcth($23-column(cx),$24-column(cy),$25-column(cz))) t 'Pallas'  w p pt 7 ps pspall  lc rgb rgbpall ,\
     pointfile using (fcph($26-column(cx),$27-column(cy),$28-column(cz))):(fcth($26-column(cx),$27-column(cy),$28-column(cz))) t 'Jupiter' w p pt 7 ps psjup   lc rgb rgbjup  ,\
     pointfile using (fcph($29-column(cx),$30-column(cy),$31-column(cz))):(fcth($29-column(cx),$30-column(cy),$31-column(cz))) t 'Saturn'  w p pt 7 ps pssat   lc rgb rgbsat  ,\
     pointfile using (fcph($32-column(cx),$33-column(cy),$34-column(cz))):(fcth($32-column(cx),$33-column(cy),$34-column(cz))) t 'Uranus'  w p pt 7 ps psur    lc rgb rgbur   ,\
     pointfile using (fcph($35-column(cx),$36-column(cy),$37-column(cz))):(fcth($35-column(cx),$36-column(cy),$37-column(cz))) t 'Neptune' w p pt 7 ps psnep   lc rgb rgbnep  ,\
     pointfile using (fcph($38-column(cx),$39-column(cy),$40-column(cz))):(fcth($38-column(cx),$39-column(cy),$40-column(cz))) t 'Pluto'   w p pt 7 ps pspluto lc rgb rgbpluto,\
     pointfile using (fcph($41-column(cx),$42-column(cy),$43-column(cz))):(fcth($41-column(cx),$42-column(cy),$43-column(cz))) t 'Eris'    w p pt 7 ps pseris  lc rgb rgberis,\
     pointfile using (fcph($44-column(cx),$45-column(cy),$46-column(cz))):(fcth($44-column(cx),$45-column(cy),$46-column(cz))) t 'Sedna'   w p pt 7 ps pssedna lc rgb rgbsedna,\
     pointfile using (fcph($47-column(cx),$48-column(cy),$49-column(cz))):(fcth($47-column(cx),$48-column(cy),$49-column(cz))) t 'Sun'     w p pt 3 ps pssun   lc rgb rgbsun  ,\
     'npole.dat' using 1:2 t 'Sky-N' w p pt 2 ps 1.0*pscal lc rgb rgbpole
if(flgstars>=1) replot starfile using (fcph($4,$5,$6)):(fcth($4,$5,$6)):(psize($11)):10 notitle w p pt 1 ps variable palette

#### Polar plot
#pause mouse key "Press any key to proceed to other plot(s) (will terminate zooming)"
print 'Polar sky plot'
set term x11 3 title "Solar System 2D Sky Chart" size xpix3,ypix3
pscal=5.; ppwr=0.2
load 'psizes.gp'
unset grid
unset xlabel;unset ylabel
set xtics 30;set ytics 30;set mxtics 3; set mytics 3
set angles degrees
set polar
set label 5 sprintf("LT = %04d-%02d-%02d %02d:%02d:%02d\nUTC= %04d-%02d-%02d %02d:%02d:%02d\nLat=%3d%c %02d%c %02d%c\nLon=%3d%c %02d%c %02d%c",\
    loc_yr,loc_mo,loc_dd,loc_hh,loc_mm,loc_ss,utc_yr,utc_mo,utc_dd,utc_hh,utc_mm,utc_ss,latdeg,176,latmin,39,latsec,34,londeg,176,lonmin,39,lonsec,34)\
    at screen 0.01, screen 0.96
set grid xtics mxtics polar 90. ls 10,ls 12
r=91.
fx(x)=r*cos(180./N*x);fy(x)=r*sin(180./N*x)
Narr=1
N=18# 10 degrees
#N=36# 5 degrees
#N=8 # 22.5 degrees
if(flgsurf>=2) set for [i=1:N] arrow i+Narr from -fx(i),-fy(i),0 to fx(i),fy(i),0 ls lspolar2 nohead back
if(flgsurf>=2) Narr=Narr+N
Narr1=Narr
#N=9 # 20 degrees
N=6 # 30 degrees
#N=4 # 45 degrees
if(flgsurf>=1) set for [i=1:N] arrow i+Narr from -fx(i),-fy(i),0 to fx(i),fy(i),0 ls lspolar1 nohead back;Narr=Narr+N
if(flgsurf>=1) Narr=Narr+N
Narr2=Narr
set xrange [-r:r];set yrange [-r:r]
lr=88
set label 7  'N' at 0,lr
set label 8  'E' at -lr,0
set label 9  'S' at 0,-lr 
set label 10 'W' at lr,0 

plot pointfile using (90.+fcph($2-column(cx), $3-column(cy), $4-column(cz))) :(90.-fcth($2-column(cx), $3-column(cy), $4-column(cz)))  t 'Mercury' w p pt 7 ps psmerc  lc rgb rgbmerc ,\
     pointfile using (90.+fcph($5-column(cx), $6-column(cy), $7-column(cz))) :(90.-fcth($5-column(cx), $6-column(cy), $7-column(cz)))  t 'Venus'   w p pt 7 ps psvenus lc rgb rgbvenus,\
     pointfile using (90.+fcph($8-column(cx), $9-column(cy), $10-column(cz))):(90.-fcth($8-column(cx), $9-column(cy), $10-column(cz))) t 'Earth'   w p pt 7 ps psearth lc rgb rgbearth,\
     pointfile using (90.+fcph($11-column(cx),$12-column(cy),$13-column(cz))):(90.-fcth($11-column(cx),$12-column(cy),$13-column(cz))) t 'Moon'    w p pt 7 ps psmoon  lc rgb rgbmoon ,\
     pointfile using (90.+fcph($14-column(cx),$15-column(cy),$16-column(cz))):(90.-fcth($14-column(cx),$15-column(cy),$16-column(cz))) t 'Mars'    w p pt 7 ps psmars  lc rgb rgbmars ,\
     pointfile using (90.+fcph($17-column(cx),$18-column(cy),$19-column(cz))):(90.-fcth($17-column(cx),$18-column(cy),$19-column(cz))) t 'Vesta'   w p pt 7 ps psvesta lc rgb rgbvesta,\
     pointfile using (90.+fcph($20-column(cx),$21-column(cy),$22-column(cz))):(90.-fcth($20-column(cx),$21-column(cy),$22-column(cz))) t 'Ceres'   w p pt 7 ps psceres lc rgb rgbceres,\
     pointfile using (90.+fcph($23-column(cx),$24-column(cy),$25-column(cz))):(90.-fcth($23-column(cx),$24-column(cy),$25-column(cz))) t 'Pallas'  w p pt 7 ps pspall  lc rgb rgbpall ,\
     pointfile using (90.+fcph($26-column(cx),$27-column(cy),$28-column(cz))):(90.-fcth($26-column(cx),$27-column(cy),$28-column(cz))) t 'Jupiter' w p pt 7 ps psjup   lc rgb rgbjup  ,\
     pointfile using (90.+fcph($29-column(cx),$30-column(cy),$31-column(cz))):(90.-fcth($29-column(cx),$30-column(cy),$31-column(cz))) t 'Saturn'  w p pt 7 ps pssat   lc rgb rgbsat  ,\
     pointfile using (90.+fcph($32-column(cx),$33-column(cy),$34-column(cz))):(90.-fcth($32-column(cx),$33-column(cy),$34-column(cz))) t 'Uranus'  w p pt 7 ps psur    lc rgb rgbur   ,\
     pointfile using (90.+fcph($35-column(cx),$36-column(cy),$37-column(cz))):(90.-fcth($35-column(cx),$36-column(cy),$37-column(cz))) t 'Neptune' w p pt 7 ps psnep   lc rgb rgbnep  ,\
     pointfile using (90.+fcph($38-column(cx),$39-column(cy),$40-column(cz))):(90.-fcth($38-column(cx),$39-column(cy),$40-column(cz))) t 'Pluto'   w p pt 7 ps pspluto lc rgb rgbpluto,\
     pointfile using (90.+fcph($41-column(cx),$42-column(cy),$43-column(cz))):(90.-fcth($41-column(cx),$42-column(cy),$43-column(cz))) t 'Eris'    w p pt 7 ps pseris  lc rgb rgberis,\
     pointfile using (90.+fcph($44-column(cx),$45-column(cy),$46-column(cz))):(90.-fcth($44-column(cx),$45-column(cy),$46-column(cz))) t 'Sedna'   w p pt 7 ps pssedna lc rgb rgbsedna,\
     pointfile using (90.+fcph($47-column(cx),$48-column(cy),$49-column(cz))):(90.-fcth($47-column(cx),$48-column(cy),$49-column(cz))) t 'Sun'     w p pt 3 ps pssun   lc rgb rgbsun  ,\
     'npole.dat' using (90+$1):(90.-$2) t 'Sky-N' w p pt 2 ps 1.0*pscal lc rgb rgbpole
if(flgstars>=1) replot starfile using (90.+fcph($4,$5,$6)):(90.-fcth($4,$5,$6)):(psize($11)):10 notitle w p pt 1 ps variable palette
